Labels

Update Label

Update an existing label

PUT
/api/v1/labels/{labelId}
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

labelId*string

The ID of the label to update

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.recommand.eu/api/v1/labels/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "label": {
    "id": "string",
    "teamId": "string",
    "externalId": "string",
    "name": "string",
    "colorHex": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}